function openWindow(params){
  window.open(params.url,'xerte_window',"status=0,toolbar=0,location=0,menubar=0,directories=0,resizable=0,scrollbars=0,left=" + String((screen.width / 2) - (params.width / 2)) + ",top=" + String((screen.height / 2) - (params.height / 2)) + ",height=" + params.height + ",width=" + params.width);
}

function makePopUp(params)
{
	//kill any existing popups
	var popup = document.getElementById("popup");
	var parent = document.getElementById("popup_parent");
	
	if (popup != null)
	{
		parent.removeChild(popup);
	}

	//make the div and style it
	var create_div = document.createElement("DIV");
	create_div.id = params.id;
	create_div.style.position = "absolute";
	create_div.style.background = params.bgColour;
	if (params.borderColour != "none") {
		create_div.style.border = "1px solid " + params.borderColour;
	}
	
	var stageW = params.width;
	var stageH = params.height;
	var divNum = Number(params.id.substring(5, params.id.length));
	if (params.screenSize == "full screen" || params.screenSize == "fill window" || (params.width == 1600 && params.height == 1200)) {		
		if (document.body && document.body.offsetWidth) {
			stageW = document.body.offsetWidth;
			stageH = document.body.offsetHeight;
		}
		if (document.compatMode=='CSS1Compat' && document.documentElement && document.documentElement.offsetWidth ) {
			stageW = document.documentElement.offsetWidth;
			stageH = document.documentElement.offsetHeight;
		}
		if (window.innerWidth && window.innerHeight) {
			stageW = window.innerWidth;
			stageH = window.innerHeight;
		}
		
		if (params.screenSize == "full screen" && stageH / stageW != 0.75) {
			var ratio = stageH / stageW;
			if (ratio > 0.75) {
				stageH = stageW * 0.75;
			} else {
				stageW = stageH / 0.75;
			}
		}
		
	}
	
	var divW = stageW / 100 * params.calcW;
	var divH = stageH / 100 * params.calcH;
	var divX = stageW - ((divW + (stageW / 100 * params.calcX) ) * (divNum + 1));
	var divY = stageH / 100 * params.calcY;
	
	create_div.style.width = divW + "px";
	create_div.style.height = divH + "px";
	create_div.style.left = divX + "px";
	create_div.style.top = divY + "px";
	
	if (params.type == 'div'){
		create_div.innerHTML = params.src;
	} else {
		var iframe_create_div = document.createElement("IFRAME");
		iframe_create_div.src = params.src;
		if (params.type == 'jmol') {
			iframe_create_div.src += ';width=' + divW + ';height=' + divH;
		}
		iframe_create_div.style.height = divH + "px";
		iframe_create_div.style.width = divW + "px";	
		iframe_create_div.frameBorder='no';
		create_div.appendChild(iframe_create_div);
	}

	//finally append the div
	parent.appendChild(create_div);
}
function killPopUp()
{
	var parent = document.getElementById("popup_parent");
	if ( parent.hasChildNodes() )
	{
		while ( parent.childNodes.length >= 1 )
		{
			parent.removeChild( parent.firstChild );       
		} 
	}
}


/////////////////////////////////////////////////////////////////////////
rloObject = function(w,h,rloFile){
  var rloWidth = w;
  var rloHeight = h;
  var rloFile = rloFile
  var rloID = rloFile.substr(0, rloFile.lastIndexOf('.')).replace(/[^a-zA-Z0-9]+/g,'');
  var scorm = false;

  if (navigator.appName && navigator.appName.indexOf("Microsoft") != -1 &&
    navigator.userAgent.indexOf("Windows") != -1 && navigator.userAgent.indexOf("Windows 3.1") == -1) {
    document.write('<SCRIPT LANGUAGE=VBScript\> \n');
    document.write('on error resume next \n');
    document.write('Sub ' + rloID + '_FSCommand(ByVal command, ByVal args)\n');
    document.write('  call ' + rloID + '_DoFSCommand(command, args)\n');
    document.write('end sub\n');
    document.write('</SCRIPT\> \n');

    //flag the browser
    browser = 'ie';
  } else {
    browser = 'mozilla'; //no voice or speech capabilities
  }

  function getLocation(){
    var loc = document.location.toString();
    loc = loc.substr(0, loc.lastIndexOf('/') + 1);
    return loc;
  }
  var FileLocation = getLocation();

  function launchwin(winurl,winname,winfeatures){
     //This launches a new window and then
     //focuses it if window.focus() is supported.
     newwin = window.open(winurl,winname,winfeatures);
  }

  document.write('<script language = "JavaScript">');
  document.write('function ' + rloID + '_DoFSCommand(command, args){');
  document.write('if (command == "messageBox"){');
  document.write('alert(args);');
  document.write('return true;');
  document.write('}');
  document.write('if (command == "resize"){');
  document.write('  document.getElementById("rlo'+ rloID + '").style.width = args.substr(0, args.indexOf(","))+"px";    ');
  document.write('  document.getElementById("rlo'+ rloID + '").style.height = args.substr(args.indexOf(",") + 1, args.length)+"px";    ');
  document.write('}');

  document.write('if (command == "fullscreen"){');
  document.write('  document.getElementById("rlo'+ rloID + '").style.width = "100%";    ');
  document.write('  document.getElementById("rlo'+ rloID + '").style.height = "100%";    ');
  document.write('}');

  document.write('if (command == "speak"){');
  document.write('  VoiceObj.Speak(args, 3);');
  document.write('}');
  document.write('if (command == "stopTTS"){');
  document.write('  VoiceObj.Speak("", 2);');
  document.write('}'); 
  document.write('}');
  document.write('</script>  ');

  document.writeln('<div id="rlo' + rloID + '" style="width:' + rloWidth + 'px; height:' + rloHeight + 'px; ">');
  document.writeln('<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"   Codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" WIDTH="100%" HEIGHT="100%" id="' + rloID + '" ALIGN="middle">');
  document.writeln('<param name="movie" value="MainPreloader.swf" />');
  document.writeln('<param name="quality" value="high" />');
  document.writeln('<param name="scale" value="showAll" />');
  document.writeln('<param name="salign" value="T" />');
  document.writeln('<param name="bgcolor" value="#ffffff" />');
  document.writeln('<param name="wmode" value="opaque" />');
  document.writeln('<param name="allowScriptAccess" value="always" />');
  document.writeln('<param name="seamlessTabbing" value="0" />');
  document.writeln('<param name="flashVars" value="File=' + rloFile + '&FileLocation=' + FileLocation + '&scorm=' + scorm + '&browser=' + browser + '" />');
  document.writeln('<embed src="MainPreloader.swf" allowScriptAccess="always" quality="high" scale="showAll" salign="T" bgcolor="#ffffff" wmode="opaque"  WIDTH="100%" HEIGHT="100%" NAME="' + rloID + '" ALIGN="middle" TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/go/getflashplayer" flashVars="File=' + rloFile + '&FileLocation=' + FileLocation + '&scorm=' + scorm + '&browser=' + browser + '"/>');
  document.writeln('</object>');
  document.writeln('</div>');

}
